import request from '@/utils/request'
import Qs from 'qs'

/**
* 1. 列表查询
* 2. 查询详细信息
* 3. 新增
* 4. 修改
* 5. 逻辑删除
* 6. 导出
*
*/

// 1. 查询讲师信息表列表
export function listCmsLecturer(query) {
  return request({
    url: '/cmslecturer/queryCmsLecturerByPagination',
    method: 'get',
    params: query
  })
}

// 2. 查询讲师信息表详细信息
export function getCmsLecturer(businessId) {
  return request({
    url: '/cmslecturer/detail/' + businessId,
    method: 'get'
  })
}

// 3. 新增讲师信息表
export function addCmsLecturer(data) {
  data = Qs.stringify(data)
  return request({
    url: '/cmslecturer/add',
    method: 'post',
    data: data
  })
}

// 4. 修改讲师信息表
export function updateCmsLecturer(data) {
  const businessId = data.businessId
  data = Qs.stringify(data)
  return request({
    url: '/cmslecturer/update/' + businessId,
    method: 'put',
    data
  })
}

// 5. 逻辑删除讲师信息表
export function delCmsLecturer(businessId) {
  return request({
    url: '/cmslecturer/deleteLogical/' + businessId,
    method: 'delete'
  })
}

// 6. 导出讲师信息表
export function exportCmsLecturer(query) {
  return request({
    url: '/cmslecturer/export',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}

// 7.查询进师详情
export function listAllCmsLecturer(query) {
  return request({
    url: '/cmslecturer/queryCmsLecturers',
    method: 'get',
    params: query
  })
}
