import request from '@/utils/request'
import Qs from 'qs'

// 课程管理列表查询
export function queryBLessonsByPagination(query) {
  return request({
    url: '/blesson/queryBLessonByPagination',
    method: 'get',
    params: query
  })
}
// 课程目录全选
export function courseSelectAll(query) {
  return request({
    url: '/bchapter/merges',
    method: 'get',
    params: query
  })
}
export function queryBLessonsByPaginationOther(query) {
  return request({
    url: '/blesson/queryBLessonByPaginationByDateAsc',
    method: 'get',
    params: query
  })
}
// 课程管理查询详细信息
export function detailBLesson(businessId) {
  return request({
    url: '/blesson/detail/' + businessId,
    method: 'get'
  })
}
// 修改课程管理
export function updateBLesson(data) {
  const businessId = data.businessId
  data = Qs.stringify(data)
  return request({
    url: '/blesson/update/' + businessId,
    method: 'put',
    data
  })
}
// 课程管理目录查询
export function queryBChaptersWithoutAuth(query) {
  return request({
    url: '/bchapter/queryBChaptersWithoutAuth',
    method: 'get',
    params: query
  })
}
// 查询课程方向下拉
export function queryDirectionsList(query) {
  return request({
    url: '/bdirection/queryDirectionsList',
    method: 'get',
    params: query
  })
}
// 课程管理新增
export function blessonAdd(data) {
  data = Qs.stringify(data)
  return request({
    url: '/blesson/add',
    method: 'post',
    data,
    headers: {}
  })
}
// 课程管理删除
export function blessonRemove(data) {
  data = Qs.stringify(data)
  return request({
    url: '/blesson/remove',
    method: 'post',
    data,
    headers: {}
  })
}
// 课程管理导入
export function excelImport(data) {
  return request({
    url: '/blesson/excelImport',
    method: 'post',
    headers: {
      'Content-Type': 'multipart/form-data'
    },
    transformRequest: [(data) => {
      return data
    }],
    data
  })
}
// 课程管理恢复封面
export function defaultUrl(data) {
  data = Qs.stringify(data)
  return request({
    url: '/blesson/defaultUrl',
    method: 'post',
    data,
    headers: {}
  })
}
// 课程管理修改封面
export function picImport(data) {
  return request({
    url: '/blesson/picImport',
    method: 'post',
    headers: {
      'Content-Type': 'multipart/form-data'
    },
    transformRequest: [(data) => {
      return data
    }],
    data
  })
}
// 课程管理-目录添加章
export function bchapterAdd(data) {
  data = Qs.stringify(data)
  return request({
    url: '/bchapter/add',
    method: 'post',
    data,
    headers: {}
  })
}
// 课程管理-章节查询视频
export function findVideoUrl(data) {
  data = Qs.stringify(data)
  return request({
    url: '/bfile/findVideoUrl',
    method: 'post',
    data,
    headers: {}
  })
}
// 课程管理-目录删除节
export function bchapterRemove(data) {
  data = Qs.stringify(data)
  return request({
    url: '/bchapter/remove',
    method: 'post',
    data,
    headers: {}
  })
}
// 课程管理-目录章节上移
export function updateTopChapter(data) {
  data = Qs.stringify(data)
  return request({
    url: '/bchapter/updateTopChapter',
    method: 'post',
    data,
    headers: {}
  })
}
// 课程管理-目录章节下移
export function updateDownChapter(data) {
  data = Qs.stringify(data)
  return request({
    url: '/bchapter/updateDownChapter',
    method: 'post',
    data,
    headers: {}
  })
}
// 6.导入
export function uploadVideo(data) {
  return request({
    url: '/bfile/uploadVideo',
    method: 'post',
    headers: {
      'Content-Type': 'multipart/form-data'
    },
    transformRequest: [(data) => {
      return data
    }],
    data
  })
}
export function ossinfoUpload(data) {
  return request({
    url: '/ossinfo/upload',
    method: 'post',
    headers: {
      'Content-Type': 'multipart/form-data'
    },
    transformRequest: [(data) => {
      return data
    }],
    data
  })
}
export function updateVideo(data) {
  data = Qs.stringify(data)
  return request({
    url: '/ossinfo/updateVideo',
    method: 'post',
    data: data
  })
}
// 上传压缩包
export function uploadZip(data) {
  return request({
    url: '/bfile/uploadData',
    method: 'post',
    headers: {
      'Content-Type': 'multipart/form-data'
    },
    transformRequest: [(data) => {
      return data
    }],
    data
  })
}
export function ossinfoUploadCourse(data) {
  return request({
    url: '/ossinfo/uploadCourse',
    method: 'post',
    headers: {
      'Content-Type': 'multipart/form-data'
    },
    transformRequest: [(data) => {
      return data
    }],
    data
  })
}
// 课程管理-章节查询PDF信息
export function findPdfInfo(data) {
  data = Qs.stringify(data)
  return request({
    url: '/bfile/findPdfInfo',
    method: 'post',
    data,
    headers: {}
  })
}
export function findZIpInfo(data) {
  data = Qs.stringify(data)
  return request({
    url: '/bfile/findDataUrl',
    method: 'post',
    data,
    headers: {}
  })
}
// 课程管理-根据章id查询节
export function findSection(query) {
  return request({
    url: '/bchapter/querySections',
    method: 'get',
    params: query
  })
}
// 课程管理-章节查询PDF_url信息
export function findPdfUrl(data) {
  data = Qs.stringify(data)
  return request({
    url: '/bfile/findPdfUrl ',
    method: 'post',
    data,
    headers: {}
  })
}
// 课程管理-视频/pdf删除
export function delData(query) {
  return request({
    url: '/bfile/deleteFile',
    method: 'delete',
    params: query
  })
}
export function delZip(query) {
  return request({
    url: '/bfile/deleteDataFile',
    method: 'delete',
    params: query
  })
}

// 课程管理  岗位分类查询
export function queryTeaLessonJobs(query) {
  return request({
    url: '/tealessonjob/queryTeaLessonJobs',
    method: 'get',
    params: query
  })
}

// 课程管理 技术分类查询
export function queryTeaLessonTecs(query) {
  return request({
    url: '/tealessontec/queryTeaLessonTec',
    method: 'get',
    params: query
  })
}
// 课程管理 修改状态
export function updateCourseStatus(data) {
  data = Qs.stringify(data)
  return request({
    url: '/blesson/updateStatus',
    method: 'put',
    data
  })
}
// 下载zip文件
export function downloadZip(params) {
  return request({
    url: '/bfile/download/',
    method: 'post',
    params
  })
}

// 分页查询课程评分
export function queryPcLessonEvaluationByPagination(query) {
  return request({
    url: '/pclessonevaluation/evaluationList',
    method: 'get',
    params: query
  })
}

export function getAllCourse(query) {
  return request({
    url: '/blesson/teaLess',
    method: 'get',
    params: query
  })
}
// 课程管理 批量修改状态
export function updateCourseStatusIds(data) {
  data = Qs.stringify(data)
  return request({
    url: '/blesson/updateBatchStatus',
    method: 'put',
    data
  })
}
// 6. 导出课程表
export function exportCourse(query) {
  return request({
    url: '/blesson/export',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
